/* menu */
.menu__container {
    margin-top: -100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

@media (min-width:768px) {

}

.mt-0 {
  margin-top: 0 !important;
}

.ml-1 {
  margin-left: 5px !important;
}

.ml-2 {
  margin-left: 10px !important;
}
.mr-1 {
  margin-right: 5px !important;
}

.mr-2 {
  margin-right: 10px !important;
}

.px-2 {
  padding-left: 5px !important;
  padding-right: 5px !important;
}

.p-3 {
  padding: $spacer !important;
}

body {
  color: #5a5a5a;
  background: #fafafa;
  font-family:  'Montserrat','Nunito', sans-serif;
}
#img-sucursal{
    width: 150px;
    max-height: 150px;
    height: auto;
    border-radius: 10%;
}
.s-banner{
    display: block;
    border-radius: 5px;
    margin: 10px 10px 10px 10px;
    position: relative;
    text-align: center;
    margin-bottom: 20px;
    padding: 20px 10px 10px 10px;
    background: #fff;
    border: 1px solid #ddd;
    transition: box-shadow 0.3s ease-in-out;
    box-shadow: 0 0 5px rgba(33,33,33,.1);
    min-height: 290px;
    max-width: 370px;
}

  }  
.menu__logo {
    max-height: 150px;
    height: auto;
  

}

.menu__logo img {
    max-height: 150px;
    height: auto;
  

}

.menu__icon {
    margin: 15px 0 0;
    padding: 0;
}

.menu__icon ul {
    list-style: none;
    padding: 0;
    display: flex;
    align-items: center;
    display: flex;
    justify-content: end;
}


.badge {
    width: 25px;
    height: 25px;
    -webkit-border-radius: 9px;
    -moz-border-radius: 9px;
    border-radius: 12.5px;

    
}

.badge-cart[href] {
    background-color: #c67605;
}

.menu__icon ul li {
    display: inline-block;
    margin: 0 10px;
}


.abrir__menu {
    font-size: 24px;
    margin: 0;
    color: #ed1c24;
    padding: 0 5px;
    font-weight: bold;
}


.search {
    width: 300px;
    border: 1px solid #2c2c31;
    border-radius: 12px;
}

.icon {
    color: #2c2c31;
    font-size: 35px;
    width: 35px;
    height: 35px;
}

.menu__navbar {
    margin: 0;
    padding: 0;
}

.responsive {
    display: none;
}

.menu__navbar nav {
    top: 0;
    left: 0;
    width: 100%;
}

.menu__links {
    padding: 0;
    font-size: 16px;
}

.menu__links li {
    position: relative;
    display: block;
    list-style: none;
}

.menu__links li a {
    color: #6c6c6c;
    text-decoration: none;
    font-weight: bold;
    display: block;
    width: 100%;
    padding: 15px 10px;

}

.menu__links li a:hover {
    background-color: #2c2c31;
    color: #fafafa;
}

.menu__links .sub__menu {
    width: 100%;
    position: absolute;
    top: 40px;
    left: 0;
    background-color: #fafafa;
    line-height: 30px;
    border-radius: 0 0 5px 5px;
    z-index: 200;
    padding: 0;
    box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
    display: none;
}

.menu__links .sub__menu li {
    display: block;
    border-bottom: 1px solid rgba(0, 0, 0, .1);
    padding: 0;
}

.menu__links .sub__menu li a {
    display: block;
    width: 100%;
    padding: 10px;
}

.menu__links .sub__menu li a:hover {
    background-color: #2c2c31;
    color: #fafafa;
}

.menu__links li:hover .sub__menu {
    display: block;
}

.search__box {
    position: relative;
    width: 35px;
    height: 35px;
    z-index: 1000;
}

.search__box .search__icon {
    position: absolute;
    top: 0;
    left: 0;
    width: 40px;
    height: 40px;
    border-radius: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.icon:hover {
    color: #ED1C24;
}

.search__box .search__icon::before {
    content: '';
    position: absolute;
    width: 20px;
    height: 20px;
    border: 4px solid #2c2c31;
    border-radius: 50%;
    transform: translate(-4px, -4px)
}

.search__box .search__icon::after {
    content: '';
    position: absolute;
    width: 3px;
    height: 12px;
    background: #2c2c31;
    transform: translate(6px, 6px) rotate(315deg);
}

.showInput .search__box .search__input {
    opacity: 1;
    pointer-events: auto;
    top: 55px;
        left: -110px;

}

.search__box .search__input {
    height: 60px;
    width: 350px;
    background-color: #2c2c31;
    position: absolute;
    top: 75px;
    left: calc(100% - 100px);
    border-radius: 7px;
    opacity: 0;
    pointer-events: none;
    transition: all .4s ease;
}

.search__box .search__input::before {
    content: '';
    position: absolute;
    height: 20px;
    width: 20px;
    background-color: #2c2c31;
    left: 70px;
    top: -6px;
    transform: rotate(45deg);
}

.search__box .search__input input {
    position: absolute;
    height: 35px;
    width: 280px;
    z-index: 98;
    top: 50%;
    left: 45%;
    transform: translate(-50%, -50%);
    outline: none;
    border: none;
    border-radius: 4px;
    padding: 0 15px;
    font-size: 16px;
}


/* SEARCH BOX */
/* ================================================== --> */

/* SEARCH BOX */
.search-box {
    display: flex;
    padding: 14px;
    top: 46px;
    background: #000;
    border-top: solid 2px #eee;
    box-shadow: 0px 1px 3px #ccc;
}

.menu-search-box {
    display: flex !important;
    padding: 5px;
    right: 50%;
    left: 50%;
    max-width: 550px;
    margin-top: 0px;
    border-radius: 13px;   
    z-index: 10;
}

.menu-search-box-text {

    border-radius: 20px;
  box-shadow: 0px 1px 3px #ccc;
}

.btn-search {
    color: #fff;
    background-color: #fc0005;
    border-color: #fc0005;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.btn-search:hover {
    color: #00185b;
    background-color: #fff;
}

.search-box .btn-danger {
    background-color: #052001;
    border-color: #EB6112;
}

#btn_button_searchi {
    font-size: 25px;
}


#menu-search-btn i {
    font-size: 25px;
}

#menu-search-btn {
    display: none;
    font-size: 15px;
}

@media (min-width: 768px) {
    .menu-search-box {
        min-width: 450px;
    }

    @media (max-width: 768px) {
    .menu-search-box {
        width: 100% !important;
    }
}


@media (max-width: 767px) {
    #search-btn {
        display: none
    }



    #menu-search-btn {
        display: block;
    }

}


*,*::after,*::before {
        box-sizing: border-box;
        padding: 0;
        margin: 0;
      }
      main {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        height: 100vh;
      }

        .carousel-btn {
          width: 40px;
          height: 40px;
          margin: 5px;
          cursor: pointer;
        }
        
        button {
          background: none;
          border: none;
        }

        button img {
          width: 100%;
          object-fit: contain;
          padding:0;
        }

        .carousel-box {
          width: 400px;
          height: 400px;
          margin: 5px;
        }

        .carousel-wrapper {
          display: flex;
        }

        .carousel {
          display: flex;
        }

        .carousel-box img {
          width: 100%;
          object-fit: contain;
        }

        @media screen and (max-width: 499px) {
          .carousel-box {
            width: 180px;
            height: 180px;
            margin: 5px;
        }
        }


        icon-shape {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    vertical-align: middle;
}

.icon-sm {
    width: 2rem;
    height: 2rem;
    
}


/* ================================================== --> */
@media (min-width:768px) {
    .menu__container {
        flex-direction: row;
    }



    .menu__icon ul {
        justify-content: flex-end;
    }

    .menu__navbar {
        border-top: 2px solid #2c2c31;
    }

    .menu__links .sub__menu {
        min-width: 200px;
    }

    .menu__links {
        font-size: 14px;
    }

    .responsive {
        display: block;
    }

    .menu__links li {
        display: inline-block;
    }

    .menu__icon .search__box .search__input {
        left: -260px;
    }

    .menu__icon .search__box .search__input::before {
        left: 270px;
    }
}


/* Banner */
.banner {
    width: 100%;
    height: 550px;
    background-image: url("");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

/* Categorias Index */
.categorias {
    margin: 25px 0px;
}

.categorias-grid {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
}

@media (min-width: 768px) {
    .categorias {
        margin: 25px 30px;
    }

    .categorias-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

.categoria-img {
    max-width: 100%;
}

/* .categorias-grid .categoria-item-1 {
    background-image: url('../imagenes/categorias/Baner_movil_electro.jpg');
}
.categorias-grid .categoria-item-2 {
    background-image: url('../imagenes/categorias/Baner_movil_perifericos.jpg');
}
.categorias-grid .categoria-item-3 {
    background-image: url('../imagenes/categorias/baner_movil_notebook.jpg');
}
.categorias-grid .categoria-item-4 {
    background-image: url('../imagenes/categorias/baner_movil_creativo.jpg');
}

.categorias-grid .categoria-item-1,
.categorias-grid .categoria-item-2,
.categorias-grid .categoria-item-3,
.categorias-grid .categoria-item-4 {
    background-position: center top;
    background-size: 100% auto;
    width: 100%;
    min-height: 350px;
} */

@media (min-width: 768px) {

    /* .categorias-grid .categoria-item-1 {
        background-image: url('../imagenes/categorias/baner_electrodomesticos.jpg');
    }
    .categorias-grid .categoria-item-2 {
        background-image: url('../imagenes/categorias/Baner_Perifericos_gamer.jpg');
    }
    .categorias-grid .categoria-item-3 {
        background-image: url('../imagenes/categorias/baner_tu_notebook.jpg');
    }
    .categorias-grid .categoria-item-4 {
        background-image: url('../imagenes/categorias/Baner_tabletas.jpg');
    }
    
    .categorias-grid .categoria-item-1,
    .categorias-grid .categoria-item-2,
    .categorias-grid .categoria-item-3,
    .categorias-grid .categoria-item-4 {
        min-height: 300px;
    } */

}

/* Footer */



#copyright {
  font-family: 'Raleway', sans-serif;
  color: #ddd;
  background: #040404;
  text-align: center;
  padding: 10px;
  position:relative;
}
#copyright p {
  margin: 0px;
}
#copyright .web_copy {
  position: absolute;
  top: 15px;
  z-index: 999;
  right: 10px;
  font-size: 11px;
  color: #333;
}
@media (max-width: 767px) {
  #copyright .web_copy {
    top: -15px;
  }
}
   /* DETALLES */ 
ul.talles {
  padding: 0px;
  margin:0px;

}
ul.talles li {
  display: inline;
  float: left;
  text-align: center;
  margin: 4px 2px;

}
ul.talles li a {
  background: #fff;
  display: block;
  padding: 5px;
  border: 1px solid #999;
  border-radius:4px;
  min-width: 50px;
    color: #ba1515;
    font-family: verdana;
    font-weight: 700;
}
ul.talles li.active a {
  border: 2px solid #EF7E16;
  padding:4px;
}
  /* */
ul.colores {
  padding: 0px;
  margin:0px;

}
ul.colores li {
    border: 1px solid #999;
  padding: 2px;
  display: inline;
  float: left;
  text-align: center;
  margin: 3px 2px;
    border-radius:4px;

}
ul.colores li a {
  display: block;
  padding: 2px;
  width: 30px;
  height: 30px;

}
ul.colores li.active {
  border: 2px solid #EF7E16;
  padding: 1px;
  border-radius:4px;
}
